Đến nội dung


Hình ảnh

Lisp vẽ trục trọng tâm của chi tiết đột cắt hình


  • Please log in to reply
19 replies to this topic

#1 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 28 November 2014 - 11:04 AM

114276_tt.png

Vẽ 2 đường thẳng đi qua trọng tâm của 1 hình làm thủ công cũng tạm được nhưng chơi đồng loạt  nhiều hình sẽ có năng suất cao vời vợi! (Mục đích việc làm của em là để thiết kế khuôn đột cắt, sao cho tâm lực dập của máy phải trùng với trọng tâm của phôi khai triển...)

 

 

Chắc là cái Hoằn nó ghẹo anh chủ thớt, đã ra yêu cầu với nội dung và mục đích không rõ ràng! :) :) :)

Trong thực tế, không có chuyện thiết kế kiểu dây chuyền,  làm đồng loạt nhiều khuôn dập cắt hình khác nhau. Mỗi một sản phẩm cần thiết phải qua ít nhất vài bộ khuôn cối và  có thể còn có thêm vài loại đồ gá gia công cơ khác nhau, (nếu có) >>>Đòi hỏi viết lisp quét chọn đồng loạt nhiều phôi cắt hình là không có trong thực tế . Vì cách làm thủ công là làm thịt từng em một, không mất nhiều thời gian^^

 

>>

@ Chị Hà: Vài chục em thì em chưa là bao giờ  nhưng vẽ đường tâm đi qua trọng tâm của 12 em cùng một lúc thì em đã làm một lần :) :) :)

 

 

114276_sssss.png

 

Em nhờ các bác viết lisp với nội dung như ảnh minh họa, file.dwg: http://www.cadviet.c...r7885ng_tâm.dwg


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#2 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 28 November 2014 - 09:33 PM

cái chi tiết này chế tao nhu thế nào hả bác. em thấy trên bề mặt viết chữ nó lồi lên. nhưng ở dưới thì khong có vết lõm.. thì dập kiểu gì. líp này có tren diễn dàn rồi màhttp://www.cadviet.c...122369_cl_1.lsp


  • 1

#3 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 28 November 2014 - 11:47 PM

@bácnguyenbd1 :

Hình 3D chỉ để mô phỏng thôi nên em đã vẽ kiểu ĂN CẮP THỜI GIAN  cho nhanh! ( Vì là tận dụng đề- xê làm hàng chợ , lấy công làm lãi, nên em chỉ cần thể hiện rõ các đường cong lồi cơ bản, cho nó giống hình súng cao su là đẹp) :) :) :)

Bản 2d thì có thể hiện phần lõm: 114276_aww.png

Chẳng biết lỗi gì mà em không thể Download lisp của bác về được. Nếu là lisp của bác Ketxu trong Đây nè ^^  thì em đã dùng rồi, có vẽ được 2 đường trục, nhưng không phù hợp với công việc của em, bác ạ!


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#4 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 29 November 2014 - 06:43 AM

chỉ hoắm chờ em 1 số bản vẽ  về khuôn dap chị làm trong thực tế đc không..e thấy chỉ là 1 cao thủ trong thiết kế khuôn dập. gmail của em là nguyenbd159@gmail.com. còn về cái lisp để e xem xem lại hình như là e có thì phải. mà cái lisp của anh ketu có gì ko đúng yêu cầu a122369_kk.jpg


  • 1

#5 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 29 November 2014 - 03:22 PM

1- Em không phải là cao thủ, nếu là cao thủ chắc chắn em  không phải vào diễn đàn  nhờ viết lisp để học tập và thư giãn... :) :) :)

2- Chứng tỏ anh chưa bao giờ thiết kế khuôn dập và chưa bao giờ va chạm với công việc đột dập !

3- Lisp của bác Ketxu chỉ ứng dụng cho việc vẽ trục tâm của hình. (Em đoán mò:  bác Ketxu là dân Xây dựng, nên bác ấy viết lisp cho dân Xây dựng là chính). 

4- Vẽ trục trọng tâm của chi tiết đột cắt hình "ăn theo"  lisp của bác Ketxu mà không "đọc kỹ hướng dẫn sử dụng trước khi dùng",  sẽ gây ra các "tác dụng phụ" như sau:

- Tiếng ồn lớn

- Máy dập sẽ nhanh mòn mang cá

- Sản phẩm đột cắt sẽ bị kéo via không đều

- Chày và cối sẽ trở thành vật mau mòn chóng hỏng

Câu nói của các cụ là CỦA BỀN TẠI NGƯỜI  và  ĐỐT TIỀN CỦA BẢN PHỦ luôn đúng trong trường hợp này!

 

5- Sự khác nhau giữa trục trọng tâm của hình kín và trục tâm của hình kín:

114276_aaaq.png

File.dwg: http://www.cadviet.c...6_ho7857n_2.dwg

 

( Anh nguyenbd1 mở file bản vẽ kiểm tra lại sẽ biết liền!

Nếu anh không hiểu cách xác định trọng tâm của hình kín, mai em sẽ minh họa bằng ảnh động)


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#6 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 29 November 2014 - 05:35 PM

em mới vào nghề, chu yếu la khuon đột dập, kiến thức này ko có trong sách vở. ch đúng là cao thu chính hiệu. thế làm sao để xác định được trong tâm. nhu hình vẽ minh họa vậy ch


  • 0

#7 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 29 November 2014 - 10:33 PM

Lisp vẽ trọng tâm của hình rỗng (hình khoét lỗ).

; Doan Van Ha - CadViet.com - ngay 29/11/2014
; Chuc nang: lay trong tam cua 1 hinh rong (hinh rong bao gom 1 duong bien ngoai va cac duong ben trong, duoc tao boi cac "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc").
; Ve 2 duong truc X va Y.
(defun C:HA(/ GetNewEnts ss ent lst emax smax ll ur ssum xtt ytt)
 (vl-load-com) (command "undo" "be")
 (defun GetNewEnts (ent / obj tt new)
  (while (setq ent (entnext ent))
   (setq obj (vlax-ename->vla-object ent) tt (vlax-get obj 'Centroid) new (cons (list obj (vlax-get obj 'Area) (car tt) (cadr tt)) new)))
  new)
 (princ "\nChon nhom doi tuong tao thanh hinh can lay trong tam: ")
 (setq ss (ssget '((0 . "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc"))))
 (setq ent (entlast))
 (command "region" ss "")
 (setq lst (vl-sort (GetNewEnts ent) '(lambda(e1 e2) (> (cadr e1) (cadr e2)))))
 (setq emax (caar lst) smax (cadar lst)) 
 (vla-getboundingbox emax 'll 'ur)
 (setq ll (vlax-safearray->list ll) ur (vlax-safearray->list ur))
 (setq ssum (apply '+ (mapcar '(lambda(x) (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x)))) lst)))
 (setq xtt (/ (apply '+ (mapcar '(lambda(x) (* (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x))) (caddr x))) lst)) ssum))
 (setq ytt (/ (apply '+ (mapcar '(lambda(x) (* (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x))) (cadddr x))) lst)) ssum))
 (command "u")
 (entmake (list '(0 . "Line") (cons 8 "HA_Truc") (cons 62 1) (cons 10 (list (car ll) ytt)) (cons 11 (list (car ur) ytt))))
 (entmake (list '(0 . "Line") (cons 8 "HA_Truc") (cons 62 1) (cons 10 (list xtt (cadr ll))) (cons 11 (list xtt (cadr ur)))))
 (command "undo" "e") (princ))
 

  • 3

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#8 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 30 November 2014 - 09:24 AM

Lisp vẽ trọng tâm của hình rỗng (hình khoét lỗ).

 

; Doan Van Ha - CadViet.com - ngay 29/11/2014
; Chuc nang: lay trong tam cua 1 hinh rong (hinh rong bao gom 1 duong bien ngoai va cac duong ben trong, duoc tao boi cac "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc").
; Ve 2 duong truc X va Y.
(defun C:HA(/ GetNewEnts ss ent lst emax smax ll ur ssum xtt ytt)
 (vl-load-com) (command "undo" "be")
 (defun GetNewEnts (ent / obj tt new)
  (while (setq ent (entnext ent))
   (setq obj (vlax-ename->vla-object ent) tt (vlax-get obj 'Centroid) new (cons (list obj (vlax-get obj 'Area) (car tt) (cadr tt)) new)))
  new)
 (princ "\nChon nhom doi tuong tao thanh hinh can lay trong tam: ")
 (setq ss (ssget '((0 . "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc"))))
 (setq ent (entlast))
 (command "region" ss "")
 (setq lst (vl-sort (GetNewEnts ent) '(lambda(e1 e2) (> (cadr e1) (cadr e2)))))
 (setq emax (caar lst) smax (cadar lst)) 
 (vla-getboundingbox emax 'll 'ur)
 (setq ll (vlax-safearray->list ll) ur (vlax-safearray->list ur))
 (setq ssum (apply '+ (mapcar '(lambda(x) (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x)))) lst)))
 (setq xtt (/ (apply '+ (mapcar '(lambda(x) (* (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x))) (caddr x))) lst)) ssum))
 (setq ytt (/ (apply '+ (mapcar '(lambda(x) (* (if (equal (cadr x) smax 1E-8) (cadr x) (* -1 (cadr x))) (cadddr x))) lst)) ssum))
 (command "u")
 (entmake (list '(0 . "Line") (cons 8 "HA_Truc") (cons 62 1) (cons 10 (list (car ll) ytt)) (cons 11 (list (car ur) ytt))))
 (entmake (list '(0 . "Line") (cons 8 "HA_Truc") (cons 62 1) (cons 10 (list xtt (cadr ll))) (cons 11 (list xtt (cadr ur)))))
 (command "undo" "e") (princ))
 

đúng như ý của chị hoan nhưng mỗi lần quét window chỉ chọn được 1 đối tượng


  • 0

#9 haanh

haanh

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2875 Bài viết
Điểm đánh giá: 1554 (rất tốt)

Đã gửi 30 November 2014 - 10:52 AM

@bác Doan Van Ha:  :) :)

Lisp của bác thật tuyệt vời, nếu có thể, bác sửa lại đường trục là layer đường trục đã  có sẵn của người dùng có được không???

(Sau khi dùng lisp của bác , có phát sinh  thêm layer HA_Truc)

 

@anh Nguyenbd1:

Cách vẽ thủ công đường trục đi qua trọng tâm của hình:

1- Gõ lệnh Bo >>>tạo Region hình kín >>>

2- >>> Gõ lệnh Mas >>>Gõ phím Esc >>>Gõ phím F2 >>> Gõ lệnh L

3- Lần lượt copy và paste  tọa độ trọng tâm X  và Y vào dòng Specify first point:(x,y) >>> Tắt bảng Edit >>> Gõ Enter ....

(Thao tác nhanh chỉ hết tối đa là 30 giây)


  • 2

“Sống trong đời sống cần có một tấm lòng / Để làm gì em biết không ? / Để gió cuốn đi, để gió cuốn đi...”


#10 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 30 November 2014 - 12:32 PM

Haanh mở lisp ra, sửa chữ "HA_Truc" thành layer đường trục có sẵn của Haanh, ví dụ "Duong_truc_cua_Haanh".

Hoặc user có thể delete 2 dòng (cons 8 "HA_Truc") trong lisp để vẽ đường trục theo layer hiện hành.


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#11 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 30 November 2014 - 10:57 PM

...Cách vẽ thủ công đường trục đi qua trọng tâm của hình:

1- Gõ lệnh Bo >>>tạo Region hình kín >>>

2- >>> Gõ lệnh Mas >>>Gõ phím Esc >>>Gõ phím F2 >>> Gõ lệnh L

3- Lần lượt copy và paste  tọa độ trọng tâm X  và Y vào dòng Specify first point:(x,y) >>> Tắt bảng Edit >>> Gõ Enter ....

(Thao tác nhanh chỉ hết tối đa là 30 giây)

 

@ còng chị Hà: Với 3 bước vẽ  trục trọng tâm đường trục như trên chỉ hết 30 giây đối với NC: CẮT HÌNH thôi (chi tiết có lỗ... đặc). Còn với NC: CẮT HÌNH & ĐỘT LỖ, do phải trừ Region nên thời gian sẽ hết nhiều hơn. Đó là em chưa tính thời gian phải xóa bớt nét trùng, vì tạo ra Region, các đường nét dời dạc vẫn còn... :) :) :)

 

@anh Nguyenbd1: Chơi một lúc nhiều em chắc là hơi mất thời gian... nên bác Doan Van Ha chỉ làm thịt từng em một. Như đã hứa hôm nay em gửi ảnh động lên:

 

120_zps0qlitpy1.gif

 

@bác Doan Van Ha: Em nhờ bác thư giãn với NC: ĐỘT NHIỀU LỖ (Có thể là nhiều lỗ vuông, tròn, méo, đa giác ....) Thí dụ:

114276_qqqqqqa.png

Cần viết lisp vẽ đường trục đi qua tâm áp lực của NC: ĐỘT NHIỀU LỖ ( trường hợp trên là 2 lỗ to +2 lỗ nhỏ)


  • 1

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#12 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 30 November 2014 - 11:41 PM

hay quá. vậy mà lâu nay em khong biết, mấy anh trong cty cungtoan lam mo khong a. chi hoằn cho em ít bản ve khuon dập em thao khảo với chi. em mới vào nghề còn nhiều thứ chưa biết gì.


  • 0

#13 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 01 December 2014 - 01:07 PM

Lisp của bạn Doan Van Ha đã áp dụng cho trường hợp đột nhiều lỗ.

Tuần trước tôi đã viết lisp cho nhiều đối tượng đơn, hôm nay định viết tiếp cho đối tượng rỗng nhưng thấy bạn Doan Van Ha đã viết rồi.

Lisp tôi định viết dùng lệnh SUBTRACT của cad, lệnh này tổng quát hơn vì áp dụng đúng cho các đối tượng rời nhau nhưng có bounding box lồng nhau, nhưng thấy Lisp của bạn Doan Van Ha có cách tính trọng tâm nhanh hơn nên viết theo hướng này. Trong trường hợp các đối tượng rời nhau nhưng có bounding box lồng nhau (ít khi gặp) thì dùng lệnh này nhiều lần.

Đây là lisp vẽ nhiều đường trục đi qua trọng tâm của nhiều hình, các hình chỉ lồng nhau 1 cấp và không giao nhau.

 

(defun c:mce( / rg c  e m o p q r s su x y) ; multi centroid
    (command "undo" "be")
    (setq e (entlast))
    (princ "\nChon nhom doi tuong tao thanh hinh can lay trong tam: ")
    (vl-cmdf "REGION" (ssget '((0 . "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc"))) "")
    (while (setq e (entnext e))
        (setq o (vlax-ename->vla-object e)    )
        (vla-getboundingbox o 'p 'q)
        (setq rg (cons  (list o (vlax-get o 'Area)(list (vlax-safearray->list p) (vlax-safearray->list q))) rg))
    )
    (setq rg (vl-sort rg '(lambda(e1 e2) (> (cadr e1) (cadr e2)))))
    (while rg
        (setq o (car rg) rg (cdr rg) s (cadr o) su s r (last o) c (vlax-get (car o) 'Centroid) x (* s (car c)) y (* s (cadr c)))
        (foreach o rg
            (if (and (setq m (last o)) (<= (caar r) (caar m)) (<= (cadar r) (cadar m)) (>= (caadr r) (caadr m)) (>= (cadadr r) (cadadr m)))
                    (setq rg (vl-remove o rg) s (cadr o) su (- su s) c (vlax-get (car o) 'Centroid) x (- x (* s (car c))) y (- y (* s (cadr c)))))
        )
        (setq x (/ x su) y (/ y su))
        (entmake (list '(0 . "Line") '(8 . "Tr\U+00F4c t\U+00A9m") (cons 10 (list (caar r) y)) (cons 11 (list (caadr r) y))))
        (entmake (list '(0 . "Line") '(8 . "Tr\U+00F4c t\U+00A9m") (cons 10 (list x (cadar r))) (cons 11 (list x (cadadr r)))))
    )
    (command "undo" "e")
)

 

@Hoằn: yêu cầu này mà gọi là thư giãn thì rất "Funny" đấy.


  • 2

#14 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 01 December 2014 - 02:12 PM

Lisp của bạn Doan Van Ha đã áp dụng cho trường hợp đột nhiều lỗ.

Tuần trước tôi đã viết lisp cho nhiều đối tượng đơn, hôm nay định viết tiếp cho đối tượng rỗng nhưng thấy bạn Doan Van Ha đã viết rồi.

Lisp tôi định viết dùng lệnh SUBTRACT của cad, lệnh này tổng quát hơn vì áp dụng đúng cho các đối tượng rời nhau nhưng có bounding box lồng nhau, nhưng thấy Lisp của bạn Doan Van Ha có cách tính trọng tâm nhanh hơn nên viết theo hướng này. Trong trường hợp các đối tượng rời nhau nhưng có bounding box lồng nhau (ít khi gặp) thì dùng lệnh này nhiều lần.

Đây là lisp vẽ nhiều đường trục đi qua trọng tâm của nhiều hình, các hình chỉ lồng nhau 1 cấp và không giao nhau.

 

(defun c:mce( / rg c  e m o p q r s su x y) ; multi centroid
    (command "undo" "be")
    (setq e (entlast))
    (princ "\nChon nhom doi tuong tao thanh hinh can lay trong tam: ")
    (vl-cmdf "REGION" (ssget '((0 . "Polyline,Lwpolyline,Spline,Circle,Ellipse,Line,Arc"))) "")
    (while (setq e (entnext e))
        (setq o (vlax-ename->vla-object e)    )
        (vla-getboundingbox o 'p 'q)
        (setq rg (cons  (list o (vlax-get o 'Area)(list (vlax-safearray->list p) (vlax-safearray->list q))) rg))
    )
    (setq rg (vl-sort rg '(lambda(e1 e2) (> (cadr e1) (cadr e2)))))
    (while rg
        (setq o (car rg) rg (cdr rg) s (cadr o) su s r (last o) c (vlax-get (car o) 'Centroid) x (* s (car c)) y (* s (cadr c)))
        (foreach o rg
            (if (and (setq m (last o)) (<= (caar r) (caar m)) (<= (cadar r) (cadar m)) (>= (caadr r) (caadr m)) (>= (cadadr r) (cadadr m)))
                    (setq rg (vl-remove o rg) s (cadr o) su (- su s) c (vlax-get (car o) 'Centroid) x (- x (* s (car c))) y (- y (* s (cadr c)))))
        )
        (setq x (/ x su) y (/ y su))
        (entmake (list '(0 . "Line") '(8 . "Tr\U+00F4c t\U+00A9m") (cons 10 (list (caar r) y)) (cons 11 (list (caadr r) y))))
        (entmake (list '(0 . "Line") '(8 . "Tr\U+00F4c t\U+00A9m") (cons 10 (list x (cadar r))) (cons 11 (list x (cadadr r)))))
    )
    (command "undo" "e")
)

 

@Hoằn: yêu cầu này mà gọi là thư giãn thì rất "Funny" đấy.

 

Em muốn vẽ đường trục đi qua trọng tâm theo layer hiện hành và Line đường trục là "center" mà bản vẽ chưa Load Ltype dạng "center" thì chỉnh lisp sao ạ ??? :(


  • 1

#15 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 01 December 2014 - 02:42 PM

Thay

'(8 . "Tr\U+00F4c t\U+00A9m")
thành
'(6 . "CENTER")

Tham khảo:
(vl-cmdf "linetype" "load" "CENTER" "acadiso.lin" "")

Nếu không load được thì thêm đường dẫn đến "acadiso.lin"


  • 1

#16 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 01 December 2014 - 03:00 PM

Bị lỗi thế này :blush: :

Command: mce
undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: be
Command:
Chon nhom doi tuong tao thanh hinh can lay trong tam:
Select objects: Specify opposite corner: 3 found

Select objects:  REGION
Select objects:   3 found

Select objects:
3 loops extracted.

3 Regions created.

Command: linetype
Current line type:  "ByLayer"
Enter an option [?/Create/Load/Set]: load
Enter linetype(s) to load: CENTER Enter name of linetype file to search
<acadiso.lin>: acadiso.lin

Linetype "CENTER" is already loaded.  Reload it? <Y> Linetype "CENTER" reloaded.

Enter an option [?/Create/Load/Set]: linetype
Invalid option keyword.

Enter an option [?/Create/Load/Set]: load
Enter linetype(s) to load: CENTER Enter name of linetype file to search
<acadiso.lin>: acadiso.lin

Linetype "CENTER" is already loaded.  Reload it? <Y> Linetype "CENTER" reloaded.

Enter an option [?/Create/Load/Set]: linetype
Invalid option keyword.

Enter an option [?/Create/Load/Set]: load
Enter linetype(s) to load: CENTER Enter name of linetype file to search
<acadiso.lin>: acadiso.lin

Linetype "CENTER" is already loaded.  Reload it? <Y> Linetype "CENTER" reloaded.

Enter an option [?/Create/Load/Set]: undo
Invalid option keyword.
; error: Function cancelled

Enter an option [?/Create/Load/Set]:


  • 0

#17 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 01 December 2014 - 03:15 PM

Đưa code sau vào đầu lisp

(if (not(tblsearch "LTYPE" "CENTER"))
    (vl-cmdf "linetype" "load" "CENTER" "acadiso.lin" ""))

  • 2

#18 phamhuy1

phamhuy1

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 01 December 2014 - 03:27 PM

Oh...yeah! Thanks a!

Em có gởi mail nhờ a chỉnh Lisp của a Phamngoctuk, ko thấy a hồi âm :(, gởi mail hỏi chính tác giả cũng vô hình bóng


  • 0

#19 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 02 December 2014 - 08:41 AM

Oh may quá, có phải đây là cái Hoằn cần ở topic trước gõ đầu ket không ? Cám ơn các bác Hạ, ndtnv tương trợ nhiều ^^ Ket đang k có thời gian viết, mà viết chắc cũng k được vầy. Khà khà


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#20 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 03 December 2014 - 02:02 PM

hay quá. vậy mà lâu nay em khong biết, mấy anh trong cty cungtoan lam mo khong a. chi hoằn cho em ít bản ve khuon dập em thao khảo với chi. em mới vào nghề còn nhiều thứ chưa biết gì.

 

Mới vào nghề, anh  cần chịu khó tìm kiếm sách vở, tài liệu tham khảo và xuống xưởng xem người ta chế tạo , lắp khuôn và tìm hiểu tính năng kỹ thuật của các loại máy đột dập hiện có dưới xưởng...

Kinh nghiệm thiết kế khuôn của em không nhiều, em chỉ vẽ phọt phẹt thôi, em chỉ e anh không hiểu được. Các bản vẽ khuôn dập của em vẽ rất tối giản, vẽ kiểu ĂN CẮP THỜI GIAN cho nhanh, chỉ những người thành thạo và va chạm nhiều việc chế tạo và lắp ráp khuôn cối mới có thể hiểu được ý đồ thiết kế, mong anh hiểu thông cảm và đừng giận.

Có gì cần trao đổi thắc mắc về nghề nghiệp anh có thể gửi bài vào chủ đề có nội dung tương tự hoặc lập chủ đề mới, nếu rảnh và biết đến đâu,  em sẽ giải đáp nhiệt tình đến đó...

 

....

@Hoằn: yêu cầu này mà gọi là thư giãn thì rất "Funny" đấy.

 

Bác Doan Van Ha vốn kín tiếng, không ồn ào đao to búa lớn gì, bác ấy  cứ ...lừ lừ như tầu điện đỗ xịch một phát trước lều quán nhà em, không ngờ bác Ntdnv lại còn kín tiếng hơn^^... Phải chăng, bác đi kiểm tra... điền thổ bị nhỡ độ đường mới dừng chân ghé thăm lều quán nhà em????

Dễ đến mấy tháng rồi - kể từ bữa em  được hầu chuyện bác  trong thớt ĐỐ VUI - lâu ngày không gặp bác em cũng nao nao một nỗi nhớ vu vơ...

Em rất vui được hầu chuyện bác, Lúc tiễn chân bác ra về , em cứ lăn tăn mãi. Mỗi khi ngậm ngùi nhớ tới mấy câu thơ của cụ Nguyễn Khuyến, em càng thêm đắng lòng và đắng lòng đến day dứt:

Đã bấy lâu nay bác tới nhà,
Trẻ thì đi vắng, chợ thời xa.
Ao sâu, sóng cả, khôn chài cá;
Vườn rộng rào thưa, khó đuổi gà.

Lều quán nhà em nghèo, mái rạ đơn sơ, không có rượu ngon như quán lá cọ... có lạ của chị Hà em. Em chỉ có bát nước nụ vối mời bác thôi, mong bác hiểu và thông cảm cho em, bác nhé!

Bác Ntdnv ạ! Vạn bất đắc dĩ, em phải “gọi là thư giãn” vì  chỉ sợ chị Haanh quy kết em là địa chủ bóc lột sức lao động của các bác viết lisp trên diễn đàn thì tội nghiệp em lắm lắm, bác ơi!

Em vội quá, vẫn chưa thử lisp của bác, em hi vọng chị Hà em sẽ thử lisp trước và cho ý kiến, em sẽ thử sau...

Trong nghề Cơ khí , tùy theo hình dáng kết cấu, kích thước của chi tiết đột dập và năng lực thiết bị, có thể lựa chọn các phương án tạo phôi bằng cách tập trung nguyên công hoặc chia nhỏ nguyên công như trong ảnh:

114276_a1234.png

 

1- NC: CẮT HÌNH ( chỉ ra 1 phôi có lỗ… đặc)

2- NC: CẮT NHIỀU HÌNH (ra được từ 2 đến n phôi có lỗ …đặc hoặc lỗ điếc)

3- NC: ĐỘT NHIỀU LỖ ( ra được từ  2 đến n lỗ… rỗng trên 1 hình cắt)

4- NC: CẮT HÌNH_ĐỘT LỖ ( ra được phôi có từ 1 đến n lỗ …rỗng)

 

@ bác Ketxu:

Em không dám cả gan gõ đầu bác Ketxu đâu nhé! ^^ , em chỉ biết GÕ MÕ & ĐÁNH TRỐNG KÊU OAN thôi, bác ơi!

(Dẫu sao thì lisp vẽ đường tâm của bác cũng mang lại ý tưởng để em lập thớt này)

Tình hình là em vừa... a-nô cho anh Autodesk nói về tình hình nhờ viết lisp vẽ đường trục trọng tâm. Anh ấy vui lắm, bác ạ!

Anh Autodesk đã đưa lệnh vẽ đường trục trọng tâm của chi tiết đột dập vào kế hoạch nâng cấp AutoCAD trong thời gian tới. Em cũng báo tin vui cho bác biết trước là anh Autodesk đã hứa, nếu lệnh DTTT đi vào hiện thực cuộc sống, anh ấy sẽ thưởng nóng cho em mấy cục tiền để trang trải những khoản … nợ đồng nần ^^  . Khi đó, em sẽ chỉ giữ lại 70% số tiền, phần còn lại em shade biếu bác Doan Van Ha, bác Ntdnv và bác Ketxu, mỗi bác 10% gọi là của ít lòng nhiều, theo đúng tinh thần KHÁCH 3 CHỦ THỚT 7 :) :) :)


  • 1

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...